cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/entities/v1/{entity_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"entity_update": {
"project_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": true,
"fields": {},
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/entities/v1/{entity_id}"
payload = {
"entity_id": "<string>",
"entity_update": {
"project_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": True,
"fields": {},
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": { "banner_asset_id": {} },
"localized_banner_asset_id": {}
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
entity_update: {
project_id: '<string>',
type_id: '<string>',
name: '<string>',
description: '<string>',
thumbnail_asset_id: '<string>',
disabled: true,
fields: {},
localized_name: {},
localized_description: {},
localized_thumbnail_asset_id: {},
logo_asset_id: '<string>',
localized_logo_asset_id: {},
banner_asset_id: {banner_asset_id: {}},
localized_banner_asset_id: {}
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/entities/v1/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"project_id": "<string>",
"id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_asset_id": "<string>",
"disabled": true,
"fields": {},
"create_time": "2023-11-07T05:31:56Z",
"localized_name": {},
"localized_description": {},
"localized_thumbnail_asset_id": {},
"logo_asset_id": "<string>",
"localized_logo_asset_id": {},
"banner_asset_id": {
"banner_asset_id": {}
},
"localized_banner_asset_id": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Entities
Update entity
UpdateEntity
Updates existing entity.
PATCH
/
cms
/
entities
/
v1
/
{entity_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Entity represents some object, such as competition, conference, team or person.
Show child attributes
Show child attributes
⌘I

